

#include <avr/io.h>
#include <stdio.h>
#include <inttypes.h>

#define F_CPU 1000000 // CPU-Frequenz in Hz
#include <util/delay.h>

#include "messen.h"
#include "lcd-routines.h"


int main(void){
	int x=0, vorkomma, nachkomma;
	char messwertstring[20];

        DDRB |= _BV(PB0); PORTB &= ~_BV(PB0);  // PB0 ist Status-LED Ausgang
	
	lcd_init();
	lcd_clear();
	
	set_cursor (12, 1); lcd_string ("Volt");
	
	while (1)	{
	
		x=4.8876*MESSWERT(0); 
		
		vorkomma=x/1000;
		nachkomma=x-(vorkomma*1000);
		nachkomma=nachkomma/10;
		
		set_cursor (12, 2); lcd_string (" .  "); 
		
		
		sprintf(messwertstring, "%d", vorkomma); 
		set_cursor (12, 2); 
		lcd_string (messwertstring);
		
		sprintf(messwertstring, "%d", nachkomma); 
		set_cursor (14, 2); if (nachkomma<10) lcd_string ("0");
		lcd_string (messwertstring);
		
		_delay_ms(255);
	}	
 
	return(0);
}







